import httpx
from .controller.things import get_things


def sync_thing(thing):
    resp = httpx.post(
        "http://localhost:9999/api/thing/?api_key=j@jpt.sh",
        json={
                    "id": thing.id,
                    "data": thing.data,
                    "type": thing.type,
                }
    )
    print(resp.text)
    resp.raise_for_status()


def full_sync():
    # all things for now
    for thing in get_things(None, None):
        sync_thing(thing)
